﻿using KDTEC.ProManager.Configuration;
using KDTEC.ProManager.Web;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;
using Microsoft.Extensions.Configuration;

namespace KDTEC.ProManager.EntityFrameworkCore
{
    /* This class is needed to run EF Core PMC commands. Not used anywhere else */
    public class ProManagerDbContextFactory : IDesignTimeDbContextFactory<ProManagerDbContext>
    {
        public ProManagerDbContext CreateDbContext(string[] args)
        {
            var builder = new DbContextOptionsBuilder<ProManagerDbContext>();
            var configuration = AppConfigurations.Get(WebContentDirectoryFinder.CalculateContentRootFolder());

            DbContextOptionsConfigurer.Configure(
                builder,
                configuration.GetConnectionString(ProManagerConsts.ConnectionStringName)
            );

            return new ProManagerDbContext(builder.Options);
        }
    }
}